import { IMInventory1, IMInventory2, IMInventory3 } from "@Assets/image";

import i18n from "@I18n";

export const I18n = {
  txtHeader: i18n.t("IA.txtHeader"),
  txtHistory: i18n.t("IA.txtHistory"),
  txtNameAsset: i18n.t("IA.txtNameAsset"),
  txtSerial: i18n.t("IA.txtSerial"),
  lblUnit: i18n.t("IA.lblUnit"),
  plhUnit: i18n.t("IA.plhUnit"),
  lblGroupAsset: i18n.t("IA.lblGroupAsset"),
  plhGroupAsset: i18n.t("IA.plhGroupAsset"),
  lblDateToUsed: i18n.t("IA.lblDateToUsed"),
  plhDateToUsed: i18n.t("IA.plhDateToUsed"),
  lblQuality: i18n.t("IA.lblQuality"),
  plhQuality: i18n.t("IA.plhQuality"),
  lblPartUsed: i18n.t("IA.lblPartUsed"),
  lblUser: i18n.t("IA.lblUser"),
  lblInventoryClassfication: i18n.t("IA.lblInventoryClassfication"),
  lblModel: i18n.t("IA.lblModel"),
  plhModel: i18n.t("IA.plhModel"),
  lblProducer: i18n.t("IA.lblProducer"),
  plhProducer: i18n.t("IA.plhProducer"),
  msgRequired: i18n.t("IA.msgRequired"),
  btnSave: i18n.t("IA.btnSave"),
  plhInventoryClassify: i18n.t("IA.plhInventoryClassify"),
  titleUpdateModal: i18n.t("IA.titleUpdateModal"),
  txtUpdateSuccess: i18n.t("IA.txtUpdateSuccess"),
  btnClose: i18n.t("IA.btnClose"),
  btnInventory: i18n.t("IA.btnInventory"),
  titleInventorySuccess: i18n.t("IA.titleInventorySuccess"),
  messageInventorySuccess: i18n.t("IA.messageInventorySuccess"),
  btnDone: i18n.t("IA.btnDone"),
  lblStatus: i18n.t("IA.lblStatus"),
  plhStatus: i18n.t("IA.plhStatus"),
  lblDescriptionCurrentStatus: i18n.t("IA.lblDescriptionCurrentStatus"),
  plhDescriptionCurrentStatus: i18n.t("IA.plhDescriptionCurrentStatus"),
  txtLastImageInventory: i18n.t("IA.txtLastImageInventory"),
  lblLocation: i18n.t("IA.lblLocation"),
  txtMaxCapacity: (max: string | number, cur: string | number) =>
    i18n.t("IA.txtMaxCapacity", {
      max,
      cur,
    }),
  btnComplete: i18n.t("IA.btnComplete"),
  txtNotDataMap: i18n.t("IA.txtNotDataMap"),
  txtRecommentPermissionLocation: i18n.t("IA.txtRecommentPermissionLocation"),
  btnSetup: i18n.t("IA.btnSetup"),
  txtWarningImage: i18n.t("IA.txtWarningImage"),
  btnTryAgain: i18n.t("IA.btnTryAgain"),
  titleInventoryFailure: i18n.t("IA.titleInventoryFailure"),
  txtImageError: i18n.t("IA.txtImageError"),
  messageInventoryFailure: i18n.t("IA.messageInventoryFailure"),
};

export const dataImageInventoryFake = [
  IMInventory1,
  IMInventory2,
  IMInventory3,
  IMInventory1,
  IMInventory2,
  IMInventory3,
  IMInventory1,
  IMInventory2,
  IMInventory3,
];
